BLK_QUEUE_FIND_TAG(9)

NAME
blk_queue_find_tag - find a request by its tag and queue

SYNOPSIS

struct request * blk_queue_find_tag (request_queue_t * q, int tag);

ARGUMENTS

q   The request queue for the device

tag The tag of the request

NOTES

Should be used when a device returns a tag and you want to match it with a request.

no locks need be held.